Package org.codehaus.commons.compiler.util.reflect

# Class ApiLog

java.lang.Object
org.codehaus.commons.compiler.util.reflect.ApiLog

public final class ApiLog extends Object
Simple logging of method invocations.

## Method Summary

Modifier and Type
Method
Description
`static Object`
`logMethodInvocations(Object delegate)`
Creates and returns an object that implements all interfaces that the delegate implements.
`protected static String`
`truncate(String s)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### logMethodInvocations

public static Object logMethodInvocations(Object delegate)
Creates and returns an object that implements all interfaces that the delegate implements. All method invocations are forwarded to the delegate, and, after the delegate's method returns, logged to `System.err`.

### truncate

protected static String truncate(String s)